curl --request POST \
--url https://api.mycreditapp.ai/v1-beta/partners \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Requester-Organization-ID: <requester-organization-id>' \
--header 'Target-Organization-ID: <target-organization-id>' \
--data '
{
"company_name": "Example Supplies Ltd",
"sales_amount": 150000,
"email": "partner@example.com",
"frequency": "<string>",
"payment_terms": "Net 30",
"address": "123 Main St, Suite 400",
"city": "New York",
"state": "NY",
"postal_code": 12345,
"country_code": "US",
"company_registration_number": "123456789"
}
'import requests
url = "https://api.mycreditapp.ai/v1-beta/partners"
payload = {
"company_name": "Example Supplies Ltd",
"sales_amount": 150000,
"email": "partner@example.com",
"frequency": "<string>",
"payment_terms": "Net 30",
"address": "123 Main St, Suite 400",
"city": "New York",
"state": "NY",
"postal_code": 12345,
"country_code": "US",
"company_registration_number": "123456789"
}
headers = {
"Requester-Organization-ID": "<requester-organization-id>",
"Target-Organization-ID": "<target-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Requester-Organization-ID': '<requester-organization-id>',
'Target-Organization-ID': '<target-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
company_name: 'Example Supplies Ltd',
sales_amount: 150000,
email: 'partner@example.com',
frequency: '<string>',
payment_terms: 'Net 30',
address: '123 Main St, Suite 400',
city: 'New York',
state: 'NY',
postal_code: 12345,
country_code: 'US',
company_registration_number: '123456789'
})
};
fetch('https://api.mycreditapp.ai/v1-beta/partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mycreditapp.ai/v1-beta/partners",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'company_name' => 'Example Supplies Ltd',
'sales_amount' => 150000,
'email' => 'partner@example.com',
'frequency' => '<string>',
'payment_terms' => 'Net 30',
'address' => '123 Main St, Suite 400',
'city' => 'New York',
'state' => 'NY',
'postal_code' => 12345,
'country_code' => 'US',
'company_registration_number' => '123456789'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Requester-Organization-ID: <requester-organization-id>",
"Target-Organization-ID: <target-organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mycreditapp.ai/v1-beta/partners"
payload := strings.NewReader("{\n \"company_name\": \"Example Supplies Ltd\",\n \"sales_amount\": 150000,\n \"email\": \"partner@example.com\",\n \"frequency\": \"<string>\",\n \"payment_terms\": \"Net 30\",\n \"address\": \"123 Main St, Suite 400\",\n \"city\": \"New York\",\n \"state\": \"NY\",\n \"postal_code\": 12345,\n \"country_code\": \"US\",\n \"company_registration_number\": \"123456789\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Requester-Organization-ID", "<requester-organization-id>")
req.Header.Add("Target-Organization-ID", "<target-organization-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mycreditapp.ai/v1-beta/partners")
.header("Requester-Organization-ID", "<requester-organization-id>")
.header("Target-Organization-ID", "<target-organization-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"company_name\": \"Example Supplies Ltd\",\n \"sales_amount\": 150000,\n \"email\": \"partner@example.com\",\n \"frequency\": \"<string>\",\n \"payment_terms\": \"Net 30\",\n \"address\": \"123 Main St, Suite 400\",\n \"city\": \"New York\",\n \"state\": \"NY\",\n \"postal_code\": 12345,\n \"country_code\": \"US\",\n \"company_registration_number\": \"123456789\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mycreditapp.ai/v1-beta/partners")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Requester-Organization-ID"] = '<requester-organization-id>'
request["Target-Organization-ID"] = '<target-organization-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"company_name\": \"Example Supplies Ltd\",\n \"sales_amount\": 150000,\n \"email\": \"partner@example.com\",\n \"frequency\": \"<string>\",\n \"payment_terms\": \"Net 30\",\n \"address\": \"123 Main St, Suite 400\",\n \"city\": \"New York\",\n \"state\": \"NY\",\n \"postal_code\": 12345,\n \"country_code\": \"US\",\n \"company_registration_number\": \"123456789\"\n}"
response = http.request(request)
puts response.read_body{
"company_name": "Example Supplies Ltd",
"sales_amount": 150000,
"partner_type": "customer",
"email": "partner@example.com",
"frequency": "<string>",
"payment_terms": "Net 30",
"address": "123 Main St, Suite 400",
"city": "New York",
"state": "NY",
"postal_code": 12345,
"country_code": "US",
"company_registration_number": "123456789",
"id": "550e8400-e29b-41d4-a716-446655440000",
"created_at": "2024-01-10T12:00:00.123456",
"updated_at": "2024-02-15T09:30:00.123456",
"invitation_status": "invited",
"guest_organization_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}{
"detail": [
{
"loc": [],
"msg": "Unsupported CRUD operation!",
"type": "request",
"code": "unsupported_crud_operation"
},
{
"loc": [],
"msg": "Organization partner already exists!",
"type": "request",
"code": "organization_partner_already_exists"
},
{
"loc": [],
"msg": "Invalid country code!",
"type": "request",
"code": "organization_partner_invalid_country_code"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Token is required!",
"type": "token",
"code": "token_required"
},
{
"loc": [],
"msg": "The token has expired!",
"type": "token",
"code": "token_expired"
},
{
"loc": [],
"msg": "Invalid token!",
"type": "token",
"code": "invalid_token"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Access denied!",
"type": "request",
"code": "access_denied"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Account not found!",
"type": "request",
"code": "account_not_found"
},
{
"loc": [],
"msg": "Organization not found!",
"type": "request",
"code": "organization_not_found"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The account is in the process of being deleted! The Account's email can only be reused after its data has been completely deleted. The removal process may take up to 24 hours.",
"type": "request",
"code": "account_being_deleted"
},
{
"loc": [],
"msg": "The organization is in the process of being deleted! The removal process may take up to 24 hours.",
"type": "request",
"code": "organization_being_deleted"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The request is too large!",
"type": "request",
"code": "request_too_large"
}
]
}{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"code": "validation_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Error processing request, please try later!",
"type": "try_later",
"code": "internal_conflict_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Service is under maintenance, please try later!",
"type": "maintanance",
"code": "service_under_maintenance"
}
]
}Create organization partner
Creates a new partner associated with the target organization.
Authorization scenarios
| Guest | Host | Self |
|---|---|---|
| ❌ | ❌ | ✅ |
curl --request POST \
--url https://api.mycreditapp.ai/v1-beta/partners \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Requester-Organization-ID: <requester-organization-id>' \
--header 'Target-Organization-ID: <target-organization-id>' \
--data '
{
"company_name": "Example Supplies Ltd",
"sales_amount": 150000,
"email": "partner@example.com",
"frequency": "<string>",
"payment_terms": "Net 30",
"address": "123 Main St, Suite 400",
"city": "New York",
"state": "NY",
"postal_code": 12345,
"country_code": "US",
"company_registration_number": "123456789"
}
'import requests
url = "https://api.mycreditapp.ai/v1-beta/partners"
payload = {
"company_name": "Example Supplies Ltd",
"sales_amount": 150000,
"email": "partner@example.com",
"frequency": "<string>",
"payment_terms": "Net 30",
"address": "123 Main St, Suite 400",
"city": "New York",
"state": "NY",
"postal_code": 12345,
"country_code": "US",
"company_registration_number": "123456789"
}
headers = {
"Requester-Organization-ID": "<requester-organization-id>",
"Target-Organization-ID": "<target-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Requester-Organization-ID': '<requester-organization-id>',
'Target-Organization-ID': '<target-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
company_name: 'Example Supplies Ltd',
sales_amount: 150000,
email: 'partner@example.com',
frequency: '<string>',
payment_terms: 'Net 30',
address: '123 Main St, Suite 400',
city: 'New York',
state: 'NY',
postal_code: 12345,
country_code: 'US',
company_registration_number: '123456789'
})
};
fetch('https://api.mycreditapp.ai/v1-beta/partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mycreditapp.ai/v1-beta/partners",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'company_name' => 'Example Supplies Ltd',
'sales_amount' => 150000,
'email' => 'partner@example.com',
'frequency' => '<string>',
'payment_terms' => 'Net 30',
'address' => '123 Main St, Suite 400',
'city' => 'New York',
'state' => 'NY',
'postal_code' => 12345,
'country_code' => 'US',
'company_registration_number' => '123456789'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Requester-Organization-ID: <requester-organization-id>",
"Target-Organization-ID: <target-organization-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mycreditapp.ai/v1-beta/partners"
payload := strings.NewReader("{\n \"company_name\": \"Example Supplies Ltd\",\n \"sales_amount\": 150000,\n \"email\": \"partner@example.com\",\n \"frequency\": \"<string>\",\n \"payment_terms\": \"Net 30\",\n \"address\": \"123 Main St, Suite 400\",\n \"city\": \"New York\",\n \"state\": \"NY\",\n \"postal_code\": 12345,\n \"country_code\": \"US\",\n \"company_registration_number\": \"123456789\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Requester-Organization-ID", "<requester-organization-id>")
req.Header.Add("Target-Organization-ID", "<target-organization-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.mycreditapp.ai/v1-beta/partners")
.header("Requester-Organization-ID", "<requester-organization-id>")
.header("Target-Organization-ID", "<target-organization-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"company_name\": \"Example Supplies Ltd\",\n \"sales_amount\": 150000,\n \"email\": \"partner@example.com\",\n \"frequency\": \"<string>\",\n \"payment_terms\": \"Net 30\",\n \"address\": \"123 Main St, Suite 400\",\n \"city\": \"New York\",\n \"state\": \"NY\",\n \"postal_code\": 12345,\n \"country_code\": \"US\",\n \"company_registration_number\": \"123456789\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mycreditapp.ai/v1-beta/partners")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Requester-Organization-ID"] = '<requester-organization-id>'
request["Target-Organization-ID"] = '<target-organization-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"company_name\": \"Example Supplies Ltd\",\n \"sales_amount\": 150000,\n \"email\": \"partner@example.com\",\n \"frequency\": \"<string>\",\n \"payment_terms\": \"Net 30\",\n \"address\": \"123 Main St, Suite 400\",\n \"city\": \"New York\",\n \"state\": \"NY\",\n \"postal_code\": 12345,\n \"country_code\": \"US\",\n \"company_registration_number\": \"123456789\"\n}"
response = http.request(request)
puts response.read_body{
"company_name": "Example Supplies Ltd",
"sales_amount": 150000,
"partner_type": "customer",
"email": "partner@example.com",
"frequency": "<string>",
"payment_terms": "Net 30",
"address": "123 Main St, Suite 400",
"city": "New York",
"state": "NY",
"postal_code": 12345,
"country_code": "US",
"company_registration_number": "123456789",
"id": "550e8400-e29b-41d4-a716-446655440000",
"created_at": "2024-01-10T12:00:00.123456",
"updated_at": "2024-02-15T09:30:00.123456",
"invitation_status": "invited",
"guest_organization_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}{
"detail": [
{
"loc": [],
"msg": "Unsupported CRUD operation!",
"type": "request",
"code": "unsupported_crud_operation"
},
{
"loc": [],
"msg": "Organization partner already exists!",
"type": "request",
"code": "organization_partner_already_exists"
},
{
"loc": [],
"msg": "Invalid country code!",
"type": "request",
"code": "organization_partner_invalid_country_code"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Token is required!",
"type": "token",
"code": "token_required"
},
{
"loc": [],
"msg": "The token has expired!",
"type": "token",
"code": "token_expired"
},
{
"loc": [],
"msg": "Invalid token!",
"type": "token",
"code": "invalid_token"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Access denied!",
"type": "request",
"code": "access_denied"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Account not found!",
"type": "request",
"code": "account_not_found"
},
{
"loc": [],
"msg": "Organization not found!",
"type": "request",
"code": "organization_not_found"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The account is in the process of being deleted! The Account's email can only be reused after its data has been completely deleted. The removal process may take up to 24 hours.",
"type": "request",
"code": "account_being_deleted"
},
{
"loc": [],
"msg": "The organization is in the process of being deleted! The removal process may take up to 24 hours.",
"type": "request",
"code": "organization_being_deleted"
}
]
}{
"detail": [
{
"loc": [],
"msg": "The request is too large!",
"type": "request",
"code": "request_too_large"
}
]
}{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"code": "validation_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Error processing request, please try later!",
"type": "try_later",
"code": "internal_conflict_error"
}
]
}{
"detail": [
{
"loc": [],
"msg": "Service is under maintenance, please try later!",
"type": "maintanance",
"code": "service_under_maintenance"
}
]
}Authorizations
Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.
Headers
The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.
"054b4106-174b-46b0-97f8-86d8d7b6f0af"
The unique identifier of the organization that is the target of the request.
The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources.
If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.
"123e4567-e89b-12d3-a456-426614174000"
Body
Name of the partner company
1 - 100"Example Supplies Ltd"
"Example Trade Group"
Annual sales amount with this partner
0 <= x <= 2147483647150000
2500000
Type of organization partner
customer, supplier Contact email address of the partner
1 - 100"partner@example.com"
"contact@exampletrade.io"
Frequency of transactions with the partner
1 - 30Payment terms agreed with the partner
1 - 50"Net 30"
"Net 60"
Valid organization partner's street address
1 - 500"123 Main St, Suite 400"
"456 Elm St, Floor 2"
Valid organization partner's city
1 - 100"New York"
"San Francisco"
Valid organization partner's state or province
1 - 100"NY"
"CA"
Valid organization partner's postal code
1 - 3012345
Valid organization partner's company registration number
1 - 255"123456789"
"987654321"
Response
Successful Response
Name of the partner company
1 - 100"Example Supplies Ltd"
"Example Trade Group"
Annual sales amount with this partner
0 <= x <= 2147483647150000
2500000
Type of organization partner
customer, supplier Contact email address of the partner
1 - 100"partner@example.com"
"contact@exampletrade.io"
Frequency of transactions with the partner
1 - 30Payment terms agreed with the partner
1 - 50"Net 30"
"Net 60"
Valid organization partner's street address
1 - 500"123 Main St, Suite 400"
"456 Elm St, Floor 2"
Valid organization partner's city
1 - 100"New York"
"San Francisco"
Valid organization partner's state or province
1 - 100"NY"
"CA"
Valid organization partner's postal code
1 - 3012345
Valid organization partner's company registration number
1 - 255"123456789"
"987654321"
Unique identifier of the organization partner
"550e8400-e29b-41d4-a716-446655440000"
Timestamp when the partner record was created
"2024-01-10T12:00:00.123456"
Timestamp when the partner record was last updated
"2024-02-15T09:30:00.123456"
Current invitation status of the partner
invited, accepted Identifier of the guest organization if the partner accepted the invitation
"3fa85f64-5717-4562-b3fc-2c963f66afa6"